Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4302)
@@ -130,25 +130,36 @@
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseObjects.ResponseResultReceived.datasource" />
     <None Include="Properties\DataSources\HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto.datasource" />
-    <None Include="Service References\ServerService\item.wsdl" />
-    <None Include="Service References\ServerService\item4.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item5.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item6.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item7.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item8.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item9.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\SlaveFacade.wsdl" />
-    <None Include="Service References\ServerService\SlaveFacade1.wsdl" />
+    <None Include="Service References\ServerService\SlaveFacade2.wsdl" />
+    <None Include="Service References\ServerService\SlaveService.wsdl" />
+    <None Include="Service References\ServerService\SlaveService.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService3.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService4.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService5.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService6.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService7.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService8.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\SlaveService9.xsd">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -183,20 +194,11 @@
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseSerializedJob.datasource" />
     <None Include="Service References\ServerService\HeuristicLab.PluginInfrastructure.xsd" />
-    <None Include="Service References\ServerService\item.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item2.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ServerService\item3.xsd">
-      <SubType>Designer</SubType>
-    </None>
     <None Include="Service References\ServerService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
     </None>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\ServerService\SlaveService.disco" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4302)
@@ -19,20 +19,20 @@
   </ClientOptions>
   <MetadataSources>
-    <MetadataSource Address="http://localhost:9000/HiveServer/?wsdl" Protocol="http" SourceId="1" />
+    <MetadataSource Address="http://localhost:9000/SlaveService" Protocol="http" SourceId="1" />
   </MetadataSources>
   <Metadata>
-    <MetadataFile FileName="item.xsd" MetadataType="Schema" ID="1f132f85-5d71-4006-8218-3bdb3fe32ffc" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd5" />
-    <MetadataFile FileName="item1.xsd" MetadataType="Schema" ID="ea85f1ee-08d6-4910-a054-d30cdb322106" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd2" />
-    <MetadataFile FileName="item2.xsd" MetadataType="Schema" ID="b5c574de-3d49-4d68-8f1c-c1a0244779bc" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd3" />
-    <MetadataFile FileName="item3.xsd" MetadataType="Schema" ID="a39965a2-4d42-4e88-a8de-1114c054cb66" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd0" />
-    <MetadataFile FileName="SlaveFacade.wsdl" MetadataType="Wsdl" ID="4ac3f569-85b3-4eb9-b83d-d45b26b95816" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?wsdl" />
-    <MetadataFile FileName="SlaveFacade1.wsdl" MetadataType="Wsdl" ID="986ab965-33b4-47e2-a951-d4833e1aa4fb" SourceId="1" SourceUrl="http://localhost:9000/HiveServer/?wsdl" />
-    <MetadataFile FileName="item4.xsd" MetadataType="Schema" ID="b211d581-95d2-43a0-b821-bf02d4e52af3" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd8" />
-    <MetadataFile FileName="item.wsdl" MetadataType="Wsdl" ID="839f1b8c-ed69-4451-8893-3938771d8ab3" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?wsdl=wsdl0" />
-    <MetadataFile FileName="item5.xsd" MetadataType="Schema" ID="8e561029-a13e-49f8-a98e-636d5c7427ae" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd6" />
-    <MetadataFile FileName="item6.xsd" MetadataType="Schema" ID="bd062912-a070-412e-9dcd-73432cf8426e" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd4" />
-    <MetadataFile FileName="item7.xsd" MetadataType="Schema" ID="1cdaf6ef-8bef-4ad2-8168-913b06c24fdc" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd1" />
-    <MetadataFile FileName="item8.xsd" MetadataType="Schema" ID="a2d96d65-9efa-49e1-84f0-cfaf8c16e189" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd9" />
-    <MetadataFile FileName="item9.xsd" MetadataType="Schema" ID="ffc1d57e-8446-4668-9781-7af5e6627e35" SourceId="1" SourceUrl="http://10.42.1.154:9000/HiveServer/?xsd=xsd7" />
+    <MetadataFile FileName="SlaveService.xsd" MetadataType="Schema" ID="ad12de51-4d68-4ee4-a3ab-e339abdc896a" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd5" />
+    <MetadataFile FileName="SlaveService.disco" MetadataType="Disco" ID="223d6dfd-54ff-4b80-a369-ed57172563fb" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?disco" />
+    <MetadataFile FileName="SlaveService1.xsd" MetadataType="Schema" ID="9c12d12e-7739-454c-a187-8ecf228fd2ad" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd7" />
+    <MetadataFile FileName="SlaveService2.xsd" MetadataType="Schema" ID="3309432b-5384-4a87-9eeb-839ca851dd8c" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd1" />
+    <MetadataFile FileName="SlaveFacade2.wsdl" MetadataType="Wsdl" ID="0b251d3c-de25-450a-b35b-b8f0cf00bb39" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?wsdl" />
+    <MetadataFile FileName="SlaveService3.xsd" MetadataType="Schema" ID="9aa5a266-9c8c-4c52-8936-5e1b13f7458a" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd9" />
+    <MetadataFile FileName="SlaveService4.xsd" MetadataType="Schema" ID="6f3d7de8-5643-4e60-84e1-ae3722441b1b" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd4" />
+    <MetadataFile FileName="SlaveService5.xsd" MetadataType="Schema" ID="515a90bf-5e53-4b84-ad21-f205b4edc5e6" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd8" />
+    <MetadataFile FileName="SlaveService6.xsd" MetadataType="Schema" ID="92985ee1-b27d-46bb-a6ba-a2ae6d536c27" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd6" />
+    <MetadataFile FileName="SlaveService7.xsd" MetadataType="Schema" ID="c0c98431-982a-4022-b14f-e18b354f5c90" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd0" />
+    <MetadataFile FileName="SlaveService8.xsd" MetadataType="Schema" ID="7c74d961-3c14-47c6-83c2-2a3a3c643192" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd3" />
+    <MetadataFile FileName="SlaveService.wsdl" MetadataType="Wsdl" ID="a0f9ea1a-65fa-434b-8353-f5798bef14b2" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?wsdl=wsdl0" />
+    <MetadataFile FileName="SlaveService9.xsd" MetadataType="Schema" ID="b7d739c8-3f28-41aa-99df-49345e2c4677" SourceId="1" SourceUrl="http://localhost:9000/SlaveService?xsd=xsd2" />
   </Metadata>
   <Extensions>
